## Package Win32::GUI::Button

Back to the Packages

- Constructor

  - new Win32::GUI::Button(PARENT, %OPTIONS)

- Methods

  - SetImage(BITMAP)

- Events

  - Click()

  - DblClick()

  - GotFocus()

  - LostFocus()

  - MouseDown()

  - MouseUp()

### Constructor

new Win32::GUI::Button(PARENT, %OPTIONS)

  Creates a new Button object; can also be called as PARENT->AddButton(%OPTIONS). Class specific `%OPTIONS` are:

          -align   => left/center/right (default left)
          -valign  => top/center/bottom
          -default => 0/1 (default 0)
          -ok      => 0/1 (default 0)
          -cancel  => 0/1 (default 0)
          -bitmap  => Win32::GUI::Bitmap object
          -picture => see -bitmap
          -icon    => Win32::GUI::Icon object

### Methods

SetImage(BITMAP)

  Draws the specified BITMAP, a Win32::GUI::Bitmap or Win32::GUI::Icon object, in the Button.

### Events

Click()

  Sent when the control is selected (eg. the button pushed, the checkbox checked, etc.).

DblClick()

  Sent when the user double clicks on the control.

GotFocus()

  Sent when the control is activated.

LostFocus()

  Sent when the control is deactivated.

MouseDown()

  Sent when the user down clicks on the control.

MouseUp()

  Sent when the user releases a down click on the control.